Subject: Re: [net-next:master 647/682] fib_semantics.c:undefined reference to `__divdi3'

From: Peter Nørlund <[email-masked]>
Date: Mon, 5 Oct 2015 23:31:58 +0200

On Mon, 05 Oct 2015 04:26:38 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: kbuild test robot <[email-masked]>
> Date: Mon, 5 Oct 2015 18:54:18 +0800
> 
> > tree:
> > https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git
> > master head:   937317c7c1097aa878a5000e3aab616eb5c590c0 commit:
> > 0e884c78ee19e902f300ed147083c28a0c6302f0 [647/682] ipv4: L3
> > hash-based multipath config: i386-defconfig (attached as .config)
> > reproduce: git checkout 0e884c78ee19e902f300ed147083c28a0c6302f0
> >         # save the attached .config to linux build tree
> >         make ARCH=i386 
> > 
> > All errors (new ones prefixed by >>):
> > 
> >    net/built-in.o: In function `fib_rebalance':
> >>> fib_semantics.c:(.text+0x9df14): undefined reference to `__divdi3'
> 
> Peter please fix this.

Darn! Didn't consider that 32-bit architectures would behave
differently. I'll remember to at also test on i386 and ARM in the
future.

What is the proper way to supply fixes for this kind of errors? Should
I submit the original patches again with the bug fixed, or should I
submit a patch fixing this particular problem? I imagine bisecting
becomes annoying when a particular commit doesn't compile.

The ARM compilation errors is apparently solved by the same fix.

Best Regards
 Peter Nørlund